Subject: Re: [PATCH] EHCI Oops on CONFIG_NOT_COHERENT_CACHE system

From: Marcus Comstedt <[email-masked]>
Date: Wed, 30 Aug 2006 19:42:31 +0200

Milton Miller <[email-masked]> writes:

> I think its a case of the people that know the architecture agree
> that atomics and DMA do not mix, and that this is an issue for
> usb-devel to fix.

That was precisely the kind of agreement I was looking for.  :-)

> The other question is: does the current access polute the cache by
> reading things where the device is supposed to be writing?

Well, that shouldn't be an issue as the page is cache-inhibited.
And on systems with cache coherency, where the pages are not cache-
inhibited, this would be handled by bus snooping, right?

> My suggestion is take the issue over there, and only cc us here if
> you get pushback over there.

Ok, will do.  Thanks.

  // Marcus